# Note that this is NOT a relocatable package
%define name      gnome-guile
%define version   0.20
%define release	  alt3


Summary: GNOME guile interpreter
Name: %name
Version: %version
Release: %release
Copyright: LGPL
Group: Development/Other
Source: ftp://ftp.gnome.org/pub/%{name}-%{version}.tar.bz2
Source1: http://www.ping.de/sites/zagadka/guile-gtk/download/guile-gtk-0.19.tar.bz2
# (fc) 0.20-4mdk patches from GNOME CVS to correct warnings/miscompilation
Patch0: gnome-guile-0.20-warnings.patch
# (fc) 0.20-5mdk compile with latest gtkhtml (from GNOME CVS)
Patch1: gnome-guile-0.20-gtkhtml.patch
# (fc) 0.20-12mdk fix compilation with latest GNOME1 packages
Patch2: gnome-guile-0.20-gnome1.patch
URL: http://www.gnome.org


%description
GNOME guile (gnomeg) is a guile interpreter with GTK and GNOME support.
A number of GNOME utilities are written to use gnomeg.

GNOME is the GNU Network Object Model Environment.  That's a fancy
name but really GNOME is a nice GUI desktop environment.  It makes
using your computer easy, powerful, and easy to configure.

%package devel
Summary: GNOME guile libraries, includes, etc
Group: Development/Other
Requires: %{name} = %{version}

%description devel
Libraries and header files for GNOME guile development


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%set_automake_version 1.4
# need by patch2
automake

%build

# needed since we build GNOME1 platform 
export HAVE_PKG_CONFIG=no

%configure --without-bonobo

%make_build

%install

%makeinstall


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_libdir}/lib*.so.*
%{_datadir}/guile

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/*a
%{_includedir}/*
%{_datadir}/guile-gtk
%{_datadir}/guile-gnome

%changelog
* Mon Nov 18 2002 AEN <aen@altlinux.ru> 0.20-alt3
- rebuilt with gcc-3.2

* Sat Mar 30 2002 AEN <aen@logic.ru> 0.20-alt2
- patches from MDK
- build with gtkhtml

* Thu May 31 2001 AEN <aen@logic.ru> 0.20-alt1
- new version

* Fri Jan 05 2001 AEN <aen@logic.ru>
- adopted for RE

* Tue Jan  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10-3mdk
- Correct dependency (thanks to Stefan van der Eijk) and filelist

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.10-2mdk
- automatically added BuildRequires

* Mon Jul 31 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10-1mdk
- first Mandrake package
- BM + macroszification
- don't compile with bonobo

* Sat Feb 27 1999 Gregory Mclean <gregm@comstar.net>

- fixed this up so it will build on more then one alpha and this file is
  generated.

* Wed May 27 1998 Michael Fulbright <msf@redhat.com>

- modified file list to include %{_datadir}/guile, %{_datadir}/gtk

* Fri Mar 13 1998 Marc Ewing <marc@redhat.com>

- Integrate into gnome-guile CVS source tree
